#pragma once
#include "PublicCtrl.h"
#include "StdAfx.h"

#define CHARPERLINE 38
class CPopJobDlg : public CDialogImpl<CPopJobDlg>
{
public:
		enum { IDD = IDD_DIALOG };
		CPopJobDlg(LPCTSTR caption, LPCTSTR button_caption, UINT BkIcon, const RECT & rticon,UINT MenuID,UINT bmpBK=IDB_BK)/*: m_ifdetails(FALSE)*/
   		{

			m_bmpBK = bmpBK;
			m_caption = CString(caption);
			m_button_caption = CString(button_caption);
			//m_MenuID=MenuID;
			
			m_DrawList=new DrawObjList(bmpBK,BkIcon,rticon);
			m_bmpBK = IDB_BK;
			m_ifdetails = TRUE;

			
		}
		~CPopJobDlg()
		{


			if(m_DrawList)
			{
               delete m_DrawList;
               m_DrawList=NULL;
			}				

		}

public:
		void		PaintObj(HDC hdc);

protected:
		DrawObjList    *m_DrawList;
		CODButtonImp2	m_btnlist;
		CODButtonImp2   m_btnDenote;
		CString         m_button_caption;
		CString         m_caption;
		CODButtonImp2   m_btn;       //for m_button_caption
		BOOL            m_ifdetails; //New job popup dialog U Details button X{e
		BOOL            m_size;      //TRUE for large size, FALSE for small size
		//UINT			m_MenuID;
		CpssScrollBar   cScrollBar;
		vector<CString>  m_captionline;
		CTextEdit       m_Edit;
		UINT			m_bmpBK;
		


public:

	    BEGIN_MSG_MAP(CPopJobDlg)
    
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		MESSAGE_HANDLER(WM_ERASEBKGND, OnErasebkgnd)
		MESSAGE_HANDLER(ID_LIST_SCROLL, OnScoll)

		CPSSCOM_HANDLER(ID_CANCEL    , BN_CLICKED,OnCancel)
		CPSSCOM_HANDLER(ID_POPUP_ACCEPT    , BN_CLICKED,OnPopupbutton)
        //CPSSCOM_HANDLER(ID_POPUPBUTTON, BN_CLICKED,OnPopupbutton)

		REFLECT_NOTIFICATIONS()	
		END_MSG_MAP()

protected:
	LRESULT OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnErasebkgnd(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnScoll(UINT /*uMsg*/, WPARAM wParam, LPARAM /*lParam*/, BOOL& /*bHandled*/);

	LRESULT OnCancel(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);
    LRESULT OnPopupbutton(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);
	
};
