#pragma once

#include "CPSS_Dialog.h"
#include "listbox.h"
class CZielView: public  VButtonWnd
{
public:
	    enum { IDD = IDD_HELP };

		CZielView(LPCTSTR pMsg,struct __JobState * pState):VButtonWnd(IDB_BK_APPS,IDB_INFO,ICON_POS)
    	{
			//Load Icon and BackGround
			m_pMsg = 0;
			if(pMsg)
			{
				m_pMsg = new TCHAR[wcslen(pMsg)+1];
				wcscpy(m_pMsg,pMsg);
			}
			m_pState=pState ;

		}

		~CZielView()
		{


			::DeleteObject(hFont);
			if(m_pMsg) delete m_pMsg;
	  	}

private:

		CpssScrollBar   cScrollBar;
	
	    HFONT           hFont; 
		CTextEdit       m_Edit;
		//struct __JobState * m_pState;

        TCHAR           * m_pMsg;  //Msg Data
	virtual void OnPaintExt(HDC hDC,CRect& rcPaint);
public:
	    BEGIN_MSG_MAP(CZielView)
        MESSAGE_HANDLER(WM_INITDIALOG     ,OnCreate)
		MESSAGE_HANDLER(WM_ERASEBKGND ,OnErasebkgnd)
        MESSAGE_HANDLER(WM_PAINT      ,OnPaint) 

 		CPSSCOM_HANDLER(ID_LIST_SEND   , BN_CLICKED,OnSendMsg)
		CPSSCOM_HANDLER(ID_LIST_NAVI   , BN_CLICKED,OnNavi)

		CPSSCOM_HANDLER(ID_CANCEL      , BN_CLICKED,OnCancelMsg)

		MESSAGE_HANDLER(IDB_LISTSCOLL_BK ,OnScoll)
		MESSAGE_HANDLER(WM_LBUTTONDOWN,	OnLButtonDown);
		MESSAGE_HANDLER(WM_LBUTTONUP,	OnLButtonUp);
		

		REFLECT_NOTIFICATIONS()	
		END_MSG_MAP()

protected:
	LRESULT OnCreate(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	//LRESULT OnErasebkgnd(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	//LRESULT OnPaint(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnScoll(UINT /*uMsg*/, WPARAM wParam, LPARAM /*lParam*/, BOOL& /*bHandled*/);
  	LRESULT OnView(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);  
	LRESULT OnSendMsg(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);
	LRESULT OnNavi(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);
	
	LRESULT OnCancelMsg(WORD /*wNotifyCode*/, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);


};

